
#ifndef WEB_GTKHTML2_JS_H
#define WEB_GTKHTML2_JS_H

#include "config.h"
#include <string.h>
#define XP_UNIX
#ifdef LIBJS_IS_SMJS
#include <js/jsapi.h>
#elif LIBJS_IS_MOZJS
#include <mozjs/jsapi.h>
#else
#include <smjs/jsapi.h>
#endif
#include <glib.h>
#include "web_gtkhtml2.h"

void web_gtkhtml2_js_init (gpointer bdata, gpointer pdata);
void web_gtkhtml2_js_init_events (gpointer bdata, gpointer pdata);
void web_gtkhtml2_js_run (WebGtkhtml2Data *backend_data,
			  WebGtkhtml2PageData *page_data,
			  DomNode *node);
void web_gtkhtml2_js_parse (WebGtkhtml2Data *backend_data,
			    WebGtkhtml2PageData *page_data,
			    const char *script,
			    gint script_size);
void web_gtkhtml2_js_clear (gpointer bdata, gpointer pdata);

#endif
